API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional Info

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrumentGETSearch bonds

Market Data

POSTGet quotesGETGet bond detailsPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote
HelpFeedback
Instrument Details

Search bonds

Filtered search for fixed income instruments

Returns a paged list of fixed income instruments from the bonds hub with support for filtering, sorting, and pagination.

GET/userapigateway/trading/instruments/bonds

Parameters

Query Parameters

integer

Page number (zero-based)

integer

Number of items per page

string

Property to sort by

string

Sort direction

string

Filter by issuer name

array

Filter by issuer symbol(s)

array

Filter by bond status

array

Filter by bond type(s)

array

Filter by treasury subtype(s)

array

Filter by S&P credit rating(s)

string

Filter by rating category

array

Filter by S&P outlook

array

Filter by S&P creditwatch status

array

Filter by coupon payment frequency

number

Minimum coupon rate

number

Maximum coupon rate

string

Minimum maturity date (yyyy-MM-dd format). Defaults to today + 14 days to exclude bonds nearing maturity with volatile yields.

string

Maximum maturity date (yyyy-MM-dd format)

number

Minimum current yield

number

Maximum current yield

number

Minimum par value

number

Maximum par value

number

Minimum liquidity rating

number

Maximum liquidity rating

array

Filter by specific liquidity rating(s) - Scores from 1 (low) to 5 (high)

boolean

Filter by callable status

boolean

Filter by perpetual bond status

boolean

Filter by partial par status

Parameters

NameTypeRequiredDescription
pageNumberintegerNoPage number (zero-based)
pageSizeintegerNoNumber of items per page
sortPropertystringNoProperty to sort by
sortDirectionstringASCDESCNoSort direction
issuerstringNoFilter by issuer name
issuerSymbolarrayNoFilter by issuer symbol(s)
bondStatusarrayLIQUIDATEDCONVERTEDFUNGEDREPAIDRESTRUCTUREDCALLEDDEFAULTEDMATUREDOUTSTANDINGPUTTENDEREDREPURCHASEDPRE_ISSUANCEUNKNOWNNoFilter by bond status
bondTypearrayAGENCYCDCORPORATEGOVERNMENTMUNICIPALTREASURYNoFilter by bond type(s)
treasurySubtypearrayBONDBILLNOTESTRIPSTIPSFLOATINGNoFilter by treasury subtype(s)
ratingarrayAAAAA+AAAA-SP-1+A-1+A+AA-1A-SP-1BBB+A-2BBBBBB-A-3BB+BBBB-B+BB-CCC+CCCCCC-CCCDNRNoFilter by S&P credit rating(s)
ratingCategorystringINVESTMENT_GRADESPECULATIVE_GRADENoFilter by rating category
spOutlookarrayPOSITIVENEGATIVEDEVELOPINGSTABLENOT_RATEDNOT_MEANINGFULNoFilter by S&P outlook
spCreditwatcharrayPOSITIVENEGATIVEDEVELOPINGNOT_MEANINGFULNoFilter by S&P creditwatch status
couponFrequencyarrayAT_MATURITYZEROMONTHLYQUARTERLYSEMI_ANNUALANNUALNoFilter by coupon payment frequency
minCouponnumberNoMinimum coupon rate
maxCouponnumberNoMaximum coupon rate
minMaturityDatestring (date)NoMinimum maturity date (yyyy-MM-dd format). Defaults to today + 14 days to exclude bonds nearing maturity with volatile yields.
maxMaturityDatestring (date)NoMaximum maturity date (yyyy-MM-dd format)
minCurrentYieldnumberNoMinimum current yield
maxCurrentYieldnumberNoMaximum current yield
minParValuenumberNoMinimum par value
maxParValuenumberNoMaximum par value
minLiquidityRatingnumberNoMinimum liquidity rating
maxLiquidityRatingnumberNoMaximum liquidity rating
liquidityRatingarrayNoFilter by specific liquidity rating(s) - Scores from 1 (low) to 5 (high)
callablebooleanNoFilter by callable status
perpetualbooleanNoFilter by perpetual bond status
partialParbooleanNoFilter by partial par status

Body

application/json

No request body defined

Responses

Response

200
application/json
totalElementsinteger
totalPagesinteger
sizeinteger
contentobject[]
numberinteger
numberOfElementsinteger
sort
pageable
firstboolean
lastboolean
emptyboolean
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "totalElements": 1234567890,
  "totalPages": 123,
  "size": 123,
  "content": [
    {
      "cusip": "string",
      "issuer": "string",
      "issuerSymbol": "string",
      "symbol": "string",
      "description": "string",
      "descriptionShort": "string",
      "bondType": "string",
      "treasurySubtype": "string",
      "treasuryDuration": "string",
      "bondStatus": "string",
      "issueDate": "2023-11-07",
      "issuePrice": "string",
      "issueSize": "string",
      "maturityDate": "2023-11-07",
      "rating": "string",
      "ratingCategory": "string",
      "coupon": "string",
      "couponFrequency": "string",
      "nextCouponDate": "2023-11-07",
      "parValue": "string",
      "accruedInterest": "string",
      "callable": true,
      "nextCallDate": "2023-11-07",
      "nextCallPrice": "string",
      "currentYield": "string",
      "currentPrice": "string",
      "spOutlook": "string",
      "spOutlookDate": "2023-11-07",
      "spCreditwatch": "string",
      "spCreditwatchDate": "2023-11-07",
      "perpetual": true,
      "countryIssue": "string",
      "countryDomicile": "string",
      "daysUntilMaturity": 1234567890,
      "liquidityRating": "string",
      "seniority": "string",
      "partialPar": true,
      "minimumOrderSize": "string",
      "minimumOrderIncrement": "string"
    }
  ],
  "number": 123,
  "numberOfElements": 123,
  "sort": {
    "empty": true,
    "sorted": true,
    "unsorted": true
  },
  "pageable": {
    "offset": 1234567890,
    "pageSize": 123,
    "sort": {
      "empty": true,
      "sorted": true,
      "unsorted": true
    },
    "unpaged": true,
    "pageNumber": 123,
    "paged": true
  },
  "first": true,
  "last": true,
  "empty": true
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more